#include "ProceduralCameraComponent.h"
#include "UObject/NoExportTypes.h"
#include "LevelSequenceActor.h"

class ADBDPlayer;
class AActor;
class ACineCameraActor;
class UCameraComponent;

void UProceduralCameraComponent::LaunchCameraIntroSequence() const
{

}

ADBDPlayer* UProceduralCameraComponent::GetTargetPlayer() const
{
	return NULL;
}

AActor* UProceduralCameraComponent::GetTargetActor() const
{
	return NULL;
}

ACineCameraActor* UProceduralCameraComponent::GetSpawnedCameraActor() const
{
	return NULL;
}

UCameraComponent* UProceduralCameraComponent::GetCameraComponent() const
{
	return NULL;
}

void UProceduralCameraComponent::DebugFunction()
{

}

void UProceduralCameraComponent::CreateCameraIntroSequence()
{

}

void UProceduralCameraComponent::ClearLevelSequence(const FGuid CameraGuid) const
{

}

UProceduralCameraComponent::UProceduralCameraComponent()
{
	this->_levelSequenceActor = CreateDefaultSubobject<ALevelSequenceActor>(TEXT("Procedural Camera Sequence"));
}
